Name:           kde-settings
Version:        36.1
Release:        2
Summary:        Config files for kde
License:        MIT
Url:            https://pagure.io/fedora-kde/kde-settings
BuildArch:      noarch
Source0:        https://pagure.io/fedora-kde/kde-settings/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        COPYING
Conflicts:      kf5-kdelibs4support < 5.7.0-3
Provides:       kde-settings-pulseaudio = %{version}-%{release}
Obsoletes:      kde-settings-pulseaudio < %{version}-%{release}
Obsoletes:      kde-settings-ksplash < 24-2 kde-settings-minimal < 24-3
Requires:       kde-filesystem pam breeze-icon-theme xdg-user-dirs
Requires:       pulseaudio pulseaudio-module-x11 alsa-plugins-pulseaudio
Requires(post): coreutils sed
BuildRequires:  kde-filesystem systemd

%description
The kde-settings packages provide a rich set of administration panels to configure
system and desktop settings in the Konqueror Desktop Environment (KDE).

%package -n qt-settings
Summary:        Configuration files for Qt

%description -n qt-settings
The kde-settings packages provide a rich set of administration panels to configure
system and desktop settings in the Konqueror Desktop Environment (KDE).

%prep
%autosetup -n %{name}-%{version} -p1
rm -fv Makefile

%build

%install
install -d %{buildroot}{%{_datadir}/config,%{_sysconfdir}/kde/kdm}
tar cpf - . | tar --directory %{buildroot} -xvpf -
install -D %{SOURCE1} .

%files
%doc COPYING
%dir %{_datadir}/kde-settings/
%dir %{_datadir}/kde-settings/kde-profile/
%{_datadir}/applications/kde-mimeapps.list
%{_datadir}/polkit-1/rules.d/11-fedora-kde-policy.rules
%{_datadir}/kde-settings/kde-profile/*
%{_prefix}/lib/rpm/*
%{_sysconfdir}/kde/env/*
%{_sysconfdir}/kde/shutdown/gpg-agent-shutdown.sh
%config %{_sysconfdir}/kde*rc
%config(noreplace) %{_sysconfdir}/profile.d/kde.*
%config(noreplace) %{_sysconfdir}/xdg/kcm-about-distrorc
%config(noreplace) %{_sysconfdir}/xdg/kdebugrc
%config(noreplace) /etc/pam.d/*
%exclude %{_sysconfdir}/{kde/kdm,logrotate.d/kdm,pam.d/kdm*}
%exclude %{_localstatedir}/lib/kdm/backgroundrc
%exclude %{_tmpfilesdir}/kdm.conf
%exclude %{_unitdir}/kdm.service
%exclude %{_sysconfdir}/X11/xinit/xinitrc.d/20-kdedirs-minimal.sh
%exclude %{_sysconfdir}/profile.d/qt-graphicssystem.*
%exclude %{_sysconfdir}/xdg/plasma-workspace/*
%exclude %{_datadir}/plasma/*

%files -n qt-settings
%config(noreplace) %{_sysconfdir}/Trolltech.conf

%changelog
* Wed Jun 22 2022 yaoxin <yaoxin30@h-partners.com> - 36.1-2
- Replace invalid Url and Source0

* Wed Jun 15 2022 SimpleUpdate Robot <tc@openeuler.org> - 36.1-1
- Upgrade to version 36.1

* Mon Dec 23 2019 gulining<gulining1@huawei.com> - 29.1-3
- remove plasma and sepatate qt-settings

* Thu Dec 12 2019 gulining<gulining1@huawei.com> - 29.1-2
- Pakcage init
